## Fetch all meetings for an App `client.realtimeKit.meetings.get(stringappId, MeetingGetParamsparams, RequestOptionsoptions?): MeetingGetResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/meetings` Returns all meetings for the given App ID. ### Parameters - `appId: string` The app identifier tag. - `params: MeetingGetParams` - `account_id: string` Path param: The account identifier tag. - `end_time?: string` Query param: The end time range for which you want to retrieve the meetings. The time must be specified in ISO format. - `page_no?: number` Query param: The page number from which you want your page search results to be displayed. - `per_page?: number` Query param: Number of results per page - `search?: string` Query param: The search query string. You can search using the meeting ID or title. - `start_time?: string` Query param: The start time range for which you want to retrieve the meetings. The time must be specified in ISO format. ### Returns - `MeetingGetResponse` - `data: Array` - `id: string` ID of the meeting. - `created_at: string` Timestamp the object was created at. The time is returned in ISO format. - `updated_at: string` Timestamp the object was updated at. The time is returned in ISO format. - `live_stream_on_start?: boolean` Specifies if the meeting should start getting livestreamed on start. - `persist_chat?: boolean` Specifies if Chat within a meeting should persist for a week. - `record_on_start?: boolean` Specifies if the meeting should start getting recorded as soon as someone joins the meeting. - `session_keep_alive_time_in_secs?: number` Time in seconds, for which a session remains active, after the last participant has left the meeting. - `status?: "ACTIVE" | "INACTIVE"` Whether the meeting is `ACTIVE` or `INACTIVE`. Users will not be able to join an `INACTIVE` meeting. - `"ACTIVE"` - `"INACTIVE"` - `summarize_on_end?: boolean` Automatically generate summary of meetings using transcripts. Requires Transcriptions to be enabled, and can be retrieved via Webhooks or summary API. - `title?: string` Title of the meeting. - `paging: Paging` - `end_offset: number` - `start_offset: number` - `total_count: number` - `success: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const meeting = await client.realtimeKit.meetings.get('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(meeting.data); ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "updated_at": "2019-12-27T18:11:19.117Z", "live_stream_on_start": true, "persist_chat": true, "record_on_start": true, "session_keep_alive_time_in_secs": 60, "status": "ACTIVE", "summarize_on_end": true, "title": "title" } ], "paging": { "end_offset": 30, "start_offset": 1, "total_count": 30 }, "success": true } ```